littler (0.3.20-2.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Mon, 16 Dec 2024 01:45:41 +0000

littler (0.3.20-2) unstable; urgency=medium

  * debian/rules: Simplify as suggested by Bastian Germann (closes: #1089832)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Dec 2024 06:55:17 -0600

littler (0.3.20-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Mar 2024 17:20:24 -0500

littler (0.3.19-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Dec 2023 17:41:04 -0600

littler (0.3.18-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jun 2023 06:43:06 -0500

littler (0.3.18-1.ca2004.2) focal; urgency=medium

  * Build for focal

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Apr 2023 19:45:08 -0500

littler (0.3.18-1.ca2204.2) jammy; urgency=medium

  * Build for jammy

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Apr 2023 19:27:47 -0500

littler (0.3.18-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Mar 2023 18:11:17 -0500

littler (0.3.17-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Oct 2022 17:12:37 -0500

littler (0.3.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Aug 2022 18:02:38 -0500

littler (0.3.15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 03 Dec 2021 07:55:06 -0600

littler (0.3.14-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Oct 2021 19:34:17 -0500

littler (0.3.13-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Aug 2021 22:40:57 -0500

littler (0.3.13-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jul 2021 11:03:27 -0500

littler (0.3.12-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

  * debian/rules: Do not strip r when installing 	(Closes: #968531)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Oct 2020 08:12:19 -0500

littler (0.3.11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Jun 2020 15:40:21 -0500

littler (0.3.10-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/compat: Level increased

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Jun 2020 06:46:38 -0500

littler (0.3.9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Oct 2019 06:16:51 -0500

littler (0.3.8-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Aug 2019 17:06:25 -0500

littler (0.3.8-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 09 Jun 2019 13:49:44 -0500

littler (0.3.7-2) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Mar 2019 19:12:12 -0500

littler (0.3.6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Jan 2019 12:26:12 -0600

littler (0.3.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Oct 2018 21:44:20 -0500

littler (0.3.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

  * debian/control: Revert back to ${R:Depends} and cdbs

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Aug 2018 18:02:44 -0500

littler (0.3.3-1.2) unstable; urgency=medium

  * (Inofficial) Rebuild for R 3.5.0

  * Manual override for ${R:Depends} while dh-r is looked at

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Apr 2018 17:23:02 -0500

littler (0.3.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Dec 2017 15:46:23 -0600

littler (0.3.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Feb 2017 15:33:11 -0600

littler (0.3.1-1) unstable; urgency=medium

  * New upstream release based on second CRAN upload

  * debian/control: Removed libicu-dev from Builds-Depends but increased
    versioned Depends: to r-base-dev (>= 3.3.0-2) which now provides it

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 07 Aug 2016 08:22:38 -0500

littler (0.3.0-3) unstable; urgency=low

  * debian/control: Add libicu-dev to Build-Depends	(Closes: #824465)
  
  * debian/rules: Strip /usr/bin/r when installing

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 May 2016 06:22:23 -0500

littler (0.3.0-2) unstable; urgency=low

  * debian/control: Add virtual package littler to ensure installation of
    r-cran-littler

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2015 11:52:43 -0600

littler (0.3.0-1) unstable; urgency=low

  * New upstream release based on intial CRAN upload

  * debian/control: Binary package renamed to 'r-cran-littler' to match
    other CRAN packages in Debian; added Conflicts:/Replaces:/Provides:
    
  * debian/rules: Rewritten for use as a CRAN package

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Oct 2015 19:36:39 -0500

littler (0.2.3-2) unstable; urgency=low

  * Interim release based on current GitHub repo; release will follow
  
  * litter.c: Invert logic to default to reproducible builds
  * bootstrp: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 May 2015 14:02:21 -0500

littler (0.2.3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Updated (Build-)Depends: to current R version

  * This version support reproducible builds in the code, but I have not
    bumped this up to the build system (which I am contemplating
    changing). To activate, for now please add #define REPRODUCIBLE_BUILD=1 
    at the top of the littler.c file.
 
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Mar 2015 08:18:47 -0500

littler (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Jan 2015 06:33:58 -0600

littler (0.2.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Oct 2014 15:48:24 -0500

littler (0.2.0-2) unstable; urgency=low

  * Makefile.in: Comment-out -march=native which cannot be use for Debian builds
  								(Closes: #761912)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 Sep 2014 14:13:01 -0500

littler (0.2.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Sep 2014 13:03:23 -0500

littler (0.1.5-1) unstable; urgency=low

  * New upstream release with the following changes:

       - littler.c (littler_CleanUp): Remove call to Rf_KillAllDevices() 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Sep 2011 09:40:56 -0500

littler (0.1.4-1) unstable; urgency=low

  * New upstream release with the following changes:

       - Makefile.am: Applied patch by Mathias Klose to prevent FTBFS with
        'ld --as-needed', cf LP bug 770980.		(Closes: #641640)

       - littler.c: Some tweaks suggested by 'gcc -Wall'
 
       - examples/install2.r: Added a second R package installer example

       - examples/update.r: Switch to '/usr/bin/r -t' as shebang line
       - examples/fsizes.r: Dito

  * debian/control: Updated (Build-)Depends: to current R version
  * debian/control: Updated Standards-Version: to current version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Sep 2011 12:41:31 -0500

littler (0.1.3-1) unstable; urgency=low

  * New upstream release with the following changes:

       - initialize such that interactive() now returns FALSE, added 
         new switch -i|--interactive to get the prior behaviour of TRUE
  
       - augmented littler_CleanUp to be closer to the example in 
         section 8.1.2 on 'Setting R callbacks'
  
       - small fixes to examples install.r and update.r

  * debian/control: Updated (Build-)Depends: to current R version
  * debian/control: Updated Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Jan 2010 19:18:07 -0600

littler (0.1.2-2) unstable; urgency=low

  * r.1: Added missing \ to protect \n; also submitted in svn
  							(Closes: #520868)
  
  * debian/control: Changed Section: to new section 'gnu-r'
  * debian/control: Updated Standards-Version: to '3.8.1'

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Mar 2009 19:50:07 -0500

littler (0.1.2-1) unstable; urgency=low

  * New upstream release with the following changes:

     - new switch -t to use per-session temp. directories in the
       the same way R does (suggested by Paul Gilbert)
  
     - new switch -q which skips autoloading of libraries 
       (suggested by Simon Urbanek)
  
     - Makefile.am: some rationalization and reorganization

  * debian/control: Updated (Build-)Depends: to 'r-base-dev (>= 2.8.1)'
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Jan 2009 21:12:44 -0600

littler (0.1.1-1) unstable; urgency=low

  * New upstream release with the following changes:
  
     - littler.c: now exits with status provided by call to q()

     - tests/exitstatus.sh: Added test script for new exit status feature

     - r.1: Applied patch by Seb which adds more examples. Thanks!

     - README: added entry about getopt package on CRAN 

     - examples/update.r: simplified clearCache

  * debian/control: Updated (Build-)Depends: to 'r-base-dev (>= 2.7.2)'
  * debian/control: Updated Standards-Version: to '3.8.0'
  * debian/control: Added Suggests: for 'r-cran-getopt'
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Aug 2008 11:05:27 -0500

littler (0.1.0-3) unstable; urgency=low

  * Rebuilding under the current R version
  * debian/control: Updated (Build-)Depends accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Apr 2008 19:15:25 -0500

littler (0.1.0-2) unstable; urgency=low

  * Rebuilt to reflect the BLAS build changes in the most recent R upload.
    Thanks to Sebastian P. Luque for the heads-up.
  * debian/control: Update (Build-)Depends: to ' r-base-dev (>= 2.6.1-2)'

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Jan 2008 15:05:05 -0600

littler (0.1.0-1) unstable; urgency=low

  * New upstream release with the following changes:

     - littler.c: Added new option -l|--packages to load R packages
                  Small change to optional argument handling
                  Also use --no-restore argument on startup
                  Small additions to --help output

     - r.1: Documented new option -l | --packages

     - README: Updated as well

     - autoloads.R: No longer suppress autoload of package datasets

     - bootstrap: Two small fixes for non-bash sh use

     - examples/update.r: rewritten cache clearing part

     - tests/timing*.sh: added Rscript for comparison
  
  * debian/control: Updated to new Standards-Version:

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Jan 2008 21:47:32 -0600

littler (0.0.11-2) unstable; urgency=low

  * Rebuilt under R 2.6.1

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Nov 2007 21:07:13 -0600

littler (0.0.11-1) unstable; urgency=low

  * New upstream release with the following upstream changes:
 
  * Makefile.am: Removed use of one GNU extension to Make to
    facilitate builds on non-GNU systems
  * examples/update.r: Fix by Jeff for file caching issues
  
  * Built against the new R 2.5.0 released yesterday
  * debian/control: Build-Depends: updated to r-base-core (>= 2.5.0)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Apr 2007 12:46:53 -0500

littler (0.0.10-1) unstable; urgency=low

  * New upstream release with the following upstream changes:
  
  * Minor fix to the build process to overcome a built issue on OpenSUSE
    -- configure now checks more of R's *LIBS variables and even has
    two additional switches to add Java and Tcl/Tk libs 
  * Added init_rand() function so that R's tempfile() function works
  * Addition to the FAQ to mention the upcoming Rscript, incl. example
  * Added Added R version checking to support R 2.4 and 2.5 to littler.c
  * tests/ now use ../r as path to r executable
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Feb 2007 22:02:25 -0600

littler (0.0.9-1) unstable; urgency=low

  * New upstream release:
  
  * littler.c: Add call to R_ReplDLLinit at initialization
  * examples/update.r: ALways recreate package caches

  * debian/control: Updated (Build-)Depends: to R 2.4.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  4 Jan 2007 19:52:04 -0600

littler (0.0.8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Remove Build-Depends: on automake and autotools-dev 
							(Closes: #394295)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Oct 2006 22:08:09 -0500

littler (0.0.7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  5 Oct 2006 15:04:21 -0500

littler (0.0.6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  4 Oct 2006 21:46:07 -0500

littler (0.0.5-1) unstable; urgency=low

  * Official first release made earlier today, plus some documentation
    fixes checked into SVN during the day
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Sep 2006 22:15:40 -0500

littler (0.0.5~20060921-1) unstable; urgency=low

  * Updated pre-release for initial Debian upload

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 Sep 2006 22:39:45 -0500

littler (0.0.5~20060916-1) unstable; urgency=low

  * Updated pre-release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Sep 2006 12:13:52 -0500

littler (0.0.5~20060914-1) unstable; urgency=low

  * Initial Debian packaging -- no release yet

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Sep 2006 20:46:45 -0500

